import { defineConfig } from "vite";
import { svelte } from "@sveltejs/vite-plugin-svelte";

export default defineConfig({
  plugins: [svelte()],
  build: {
    lib: {
      entry: "src/main.js", // The entry file for the library
      name: "MyLibrary",
      fileName: (format) => `my-library.${format}.js`,
    },
  },
});
